#pragma once

#include <QString>
#include <QtCharts>

class RenderAnalysis {
public:
	RenderAnalysis(QDir sequence);
	~RenderAnalysis();
	bool analyze();

	QLineSeries* getFrameTimeSeries();
	QPieSlice getRenderTimePieSlice();

	QString getSequenceName();
	QString getSequencePath();
	float getTotalRenderTime();
	QString getTotalRenderTimeText();

private:
	QDir sequence;
	float totalRenderTime;
	QLineSeries* frameTimes;

	float timeToSeconds(QString time);
	QString secondsToTime(float seconds);
	bool analyzeFrame(QString filename);
};
