#pragma once

#include <QObject>
#include "analysis.hpp"

class RenderAnalyzer : public QAbstractListModel {
Q_OBJECT
	
public:
	RenderAnalyzer(QWidget* parent, QListView* listView);
	~RenderAnalyzer();
	QChart* getFrameTimeChart();
	QChart* getRenderTimeChart();

	int rowCount(const QModelIndex &parent = QModelIndex()) const;
	QVariant data(const QModelIndex &index, int role = Qt::DisplayRole) const;

public slots:
	void addRender();
	void removeSelectedRender();
	void prefixChanged(QString prefix);
signals:
	void renderAdded();
private:
	QListView* listView;

	QString nextPrefix;
	QList<RenderAnalysis*>* analysisList;

	QChart* frameTimeChart;
	QChart* renderTimeChart;

	QPieSeries* renderTimePieSeries;

	QWidget* parent;
};
